curl -X POST "https://smartdelivery.smartlead.ai/api/v1/spam-test/report/{spamTestId}/providerwise?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{}'
{
"overallTotalCount": 900,
"status": "completed",
"result": [
{
"provider": "Gmail",
"inbox_rate": 94.2,
"spam_rate": 3.8,
"bounce_rate": 2.0,
"mailbox_count": 350,
"avg_delivery_time_seconds": 45
},
{
"provider": "Outlook",
"inbox_rate": 88.5,
"spam_rate": 8.2,
"bounce_rate": 3.3,
"mailbox_count": 310,
"avg_delivery_time_seconds": 52
},
{
"provider": "Yahoo",
"inbox_rate": 89.1,
"spam_rate": 7.5,
"bounce_rate": 3.4,
"mailbox_count": 240,
"avg_delivery_time_seconds": 48
}
]
}
Get deliverability report by email provider (Gmail, Outlook, Yahoo)
curl -X POST "https://smartdelivery.smartlead.ai/api/v1/spam-test/report/{spamTestId}/providerwise?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{}'
{
"overallTotalCount": 900,
"status": "completed",
"result": [
{
"provider": "Gmail",
"inbox_rate": 94.2,
"spam_rate": 3.8,
"bounce_rate": 2.0,
"mailbox_count": 350,
"avg_delivery_time_seconds": 45
},
{
"provider": "Outlook",
"inbox_rate": 88.5,
"spam_rate": 8.2,
"bounce_rate": 3.3,
"mailbox_count": 310,
"avg_delivery_time_seconds": 52
},
{
"provider": "Yahoo",
"inbox_rate": 89.1,
"spam_rate": 7.5,
"bounce_rate": 3.4,
"mailbox_count": 240,
"avg_delivery_time_seconds": 48
}
]
}
curl -X POST "https://smartdelivery.smartlead.ai/api/v1/spam-test/report/{spamTestId}/providerwise?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{}'
{
"overallTotalCount": 900,
"status": "completed",
"result": [
{
"provider": "Gmail",
"inbox_rate": 94.2,
"spam_rate": 3.8,
"bounce_rate": 2.0,
"mailbox_count": 350,
"avg_delivery_time_seconds": 45
},
{
"provider": "Outlook",
"inbox_rate": 88.5,
"spam_rate": 8.2,
"bounce_rate": 3.3,
"mailbox_count": 310,
"avg_delivery_time_seconds": 52
},
{
"provider": "Yahoo",
"inbox_rate": 89.1,
"spam_rate": 7.5,
"bounce_rate": 3.4,
"mailbox_count": 240,
"avg_delivery_time_seconds": 48
}
]
}